Bug 970233 - [RFE] Need ability to create an alert definition programmatically via CLI/Remote API
[RFE] Need ability to create an alert definition programmatically via CLI/Rem...
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 2.4.2,JON 3.0.0
All All
unspecified Severity high
: ---
: JON 3.4.0
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On: 617202
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 15:05 EDT by Larry O'Leary
Modified: 2015-11-01 19:56 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 617202
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-152 Major Closed Expose Remote API method to create a new alert definition on a resource 2015-11-06 03:28 EST

  None (edit)
Description Larry O'Leary 2013-06-03 15:05:22 EDT
+++ This bug was initially created as a clone of Bug #617202 +++

Need an option to create alert via CLI

For a large-scale system it is vital to be able to automate all the steps required to set up a new node. One of such steps is creation of alerts. Currently this action has to be done manually via web UI which is not suitable.

--- Additional comment from John Mazzitelli on 2011-01-06 09:02:53 EST ---



--- Additional comment from Jay Shaughnessy on 2012-04-10 09:49:19 EDT ---


Just to be clear, this is a request to create alert definitions, not to inject
alerts. I updated the title.

--- Additional comment from Nabeel Saad on 2012-11-26 17:34:21 EST ---

What's the current planning for this bug given that it's been open since 2010?  It is a fairly important feature... and allows us to say to customers that they can do everything via the CLI that they can do through the GUI...

Note You need to log in before you can comment on or make changes to this bug.